# Class TChromiumWrapper

Description
Hierarchy
Nested Types
Fields
Methods
Properties

## Unit

uCEFBrowserWindow

## Declaration

`type TChromiumWrapper = class(TObject)`

## Description

TChromiumWrapper

## Hierarchy

- TObject
- TChromiumWrapper

## Overview

### Nested Types

| `TWrapperState = (...);`

### Fields

| `FChromium: TEmbeddedChromium;`
| `FWrapperState: TWrapperState;`
| `FBrowserWindow: TBrowserWindow;`

### Methods

| `procedure DoOnAfterCreated(Sender: TObject);`
| `procedure DoOnBeforeClose(Sender: TObject);`
| `procedure BrowserThread_OnClose(Sender: TObject; const browser: ICefBrowser; var aAction : TCefCloseBrowserAction);`
| `procedure BrowserThread_OnGotFocus(Sender: TObject; const browser: ICefBrowser);`
| `procedure MaybeDestroy;`
| `constructor Create(AOwner: TBrowserWindow); reintroduce;`
| `destructor Destroy; override;`
| `function CreateBrowser: boolean;`
| `procedure LoadURL(aURL: ustring);`
| `procedure CloseBrowser(aForceClose: boolean);`
| `function IsClosed: boolean;`
| `procedure WaitForBrowserClosed;`

### Properties

| `property Chromium: TEmbeddedChromium read FChromium;`

## Description

### Nested Types

| `TWrapperState = (...);`
This item has no description. ###### Values wsNone wsWaitingForClose wsSentCloseEventAfterWait wsDestroyAfterWait

### Fields

| `FChromium: TEmbeddedChromium;`
This item has no description.

| `FWrapperState: TWrapperState;`
This item has no description.

| `FBrowserWindow: TBrowserWindow;`
This item has no description.

### Methods

| `procedure DoOnAfterCreated(Sender: TObject);`
This item has no description.

| `procedure DoOnBeforeClose(Sender: TObject);`
This item has no description.

| `procedure BrowserThread_OnClose(Sender: TObject; const browser: ICefBrowser; var aAction : TCefCloseBrowserAction);`
This item has no description.

| `procedure BrowserThread_OnGotFocus(Sender: TObject; const browser: ICefBrowser);`
This item has no description.

| `procedure MaybeDestroy;`
This item has no description.

| `constructor Create(AOwner: TBrowserWindow); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `function CreateBrowser: boolean;`
This item has no description.

| `procedure LoadURL(aURL: ustring);`
This item has no description.

| `procedure CloseBrowser(aForceClose: boolean);`
This item has no description.

| `function IsClosed: boolean;`
This item has no description.

| `procedure WaitForBrowserClosed;`
WaitForBrowserClosed calls ProcessMessages. It therefore is possible that the TBrowserWindow will be destroyed when this method returns. It is the callers responsibility to take any necessary precaution.

### Properties

| `property Chromium: TEmbeddedChromium read FChromium;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.